package com.miaxis.web.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 【请填写功能名称】对象 web_note
 *
 * @author miaxis
 * @date 2022-08-01
 */
@Data
@TableName("web_note")
@ApiModel(value = "WebNote", description = "【请填写功能名称】对象 web_note")
public class WebNote {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("ID")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("Type")
    @ApiModelProperty(value = "$column.columnComment")
    private Long type;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("intNumber")
    @ApiModelProperty(value = "$column.columnComment")
    private String intnumber;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("strTppe")
    @ApiModelProperty(value = "$column.columnComment")
    private String strtppe;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("strType_l")
    @ApiModelProperty(value = "$column.columnComment")
    private String strtypeL;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("LicenseType")
    @ApiModelProperty(value = "$column.columnComment")
    private String licensetype;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("Question")
    @ApiModelProperty(value = "$column.columnComment")
    private String question;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An1")
    @ApiModelProperty(value = "$column.columnComment")
    private String an1;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An2")
    @ApiModelProperty(value = "$column.columnComment")
    private String an2;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An3")
    @ApiModelProperty(value = "$column.columnComment")
    private String an3;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An4")
    @ApiModelProperty(value = "$column.columnComment")
    private String an4;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An5")
    @ApiModelProperty(value = "$column.columnComment")
    private String an5;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An6")
    @ApiModelProperty(value = "$column.columnComment")
    private String an6;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("An7")
    @ApiModelProperty(value = "$column.columnComment")
    private String an7;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("AnswerTrue")
    @ApiModelProperty(value = "$column.columnComment")
    private String answertrue;

//    /** $column.columnComment */
//    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
//    @TableField("explain")
//    @ApiModelProperty(value = "$column.columnComment")
//    private String explain;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("BestAnswerId")
    @ApiModelProperty(value = "$column.columnComment")
    private String bestanswerid;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("kemu")
    @ApiModelProperty(value = "$column.columnComment")
    private Long kemu;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("jieshi_from")
    @ApiModelProperty(value = "$column.columnComment")
    private String jieshiFrom;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("moretypes")
    @ApiModelProperty(value = "$column.columnComment")
    private String moretypes;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("chapterid")
    @ApiModelProperty(value = "$column.columnComment")
    private Long chapterid;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("sinaimg")
    @ApiModelProperty(value = "$column.columnComment")
    private String sinaimg;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("video_url")
    @ApiModelProperty(value = "$column.columnComment")
    private String videoUrl;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("diff_degree")
    @ApiModelProperty(value = "$column.columnComment")
    private Long diffDegree;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("cityid")
    @ApiModelProperty(value = "$column.columnComment")
    private Long cityid;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("gs")
    @ApiModelProperty(value = "$column.columnComment")
    private String gs;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("keyword")
    @ApiModelProperty(value = "$column.columnComment")
    private String keyword;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("error_rate")
    @ApiModelProperty(value = "$column.columnComment")
    private Long errorRate;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("media_url")
    @ApiModelProperty(value = "$column.columnComment")
    private String mediaUrl;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("show_option_type")
    @ApiModelProperty(value = "$column.columnComment")
    private Long showOptionType;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("question_source")
    @ApiModelProperty(value = "$column.columnComment")
    private Long questionSource;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("best_explain_new")
    @ApiModelProperty(value = "$column.columnComment")
    private String bestExplainNew;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setType(Long type){
        this.type = type;
    }

    public Long getType(){
        return type;
    }
    public void setIntnumber(String intnumber){
        this.intnumber = intnumber;
    }

    public String getIntnumber(){
        return intnumber;
    }
    public void setStrtppe(String strtppe){
        this.strtppe = strtppe;
    }

    public String getStrtppe(){
        return strtppe;
    }
    public void setStrtypeL(String strtypeL){
        this.strtypeL = strtypeL;
    }

    public String getStrtypeL(){
        return strtypeL;
    }
    public void setLicensetype(String licensetype){
        this.licensetype = licensetype;
    }

    public String getLicensetype(){
        return licensetype;
    }
    public void setQuestion(String question){
        this.question = question;
    }

    public String getQuestion(){
        return question;
    }
    public void setAn1(String an1){
        this.an1 = an1;
    }

    public String getAn1(){
        return an1;
    }
    public void setAn2(String an2){
        this.an2 = an2;
    }

    public String getAn2(){
        return an2;
    }
    public void setAn3(String an3){
        this.an3 = an3;
    }

    public String getAn3(){
        return an3;
    }
    public void setAn4(String an4){
        this.an4 = an4;
    }

    public String getAn4(){
        return an4;
    }
    public void setAn5(String an5){
        this.an5 = an5;
    }

    public String getAn5(){
        return an5;
    }
    public void setAn6(String an6){
        this.an6 = an6;
    }

    public String getAn6(){
        return an6;
    }
    public void setAn7(String an7){
        this.an7 = an7;
    }

    public String getAn7(){
        return an7;
    }
    public void setAnswertrue(String answertrue){
        this.answertrue = answertrue;
    }

    public String getAnswertrue(){
        return answertrue;
    }
//    public void setExplain(String explain){
//        this.explain = explain;
//    }
//
//    public String getExplain(){
//        return explain;
//    }
    public void setBestanswerid(String bestanswerid){
        this.bestanswerid = bestanswerid;
    }

    public String getBestanswerid(){
        return bestanswerid;
    }
    public void setKemu(Long kemu){
        this.kemu = kemu;
    }

    public Long getKemu(){
        return kemu;
    }
    public void setJieshiFrom(String jieshiFrom){
        this.jieshiFrom = jieshiFrom;
    }

    public String getJieshiFrom(){
        return jieshiFrom;
    }
    public void setMoretypes(String moretypes){
        this.moretypes = moretypes;
    }

    public String getMoretypes(){
        return moretypes;
    }
    public void setChapterid(Long chapterid){
        this.chapterid = chapterid;
    }

    public Long getChapterid(){
        return chapterid;
    }
    public void setSinaimg(String sinaimg){
        this.sinaimg = sinaimg;
    }

    public String getSinaimg(){
        return sinaimg;
    }
    public void setVideoUrl(String videoUrl){
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl(){
        return videoUrl;
    }
    public void setDiffDegree(Long diffDegree){
        this.diffDegree = diffDegree;
    }

    public Long getDiffDegree(){
        return diffDegree;
    }
    public void setCityid(Long cityid){
        this.cityid = cityid;
    }

    public Long getCityid(){
        return cityid;
    }
    public void setGs(String gs){
        this.gs = gs;
    }

    public String getGs(){
        return gs;
    }
    public void setKeyword(String keyword){
        this.keyword = keyword;
    }

    public String getKeyword(){
        return keyword;
    }
    public void setErrorRate(Long errorRate){
        this.errorRate = errorRate;
    }

    public Long getErrorRate(){
        return errorRate;
    }
    public void setMediaUrl(String mediaUrl){
        this.mediaUrl = mediaUrl;
    }

    public String getMediaUrl(){
        return mediaUrl;
    }
    public void setShowOptionType(Long showOptionType){
        this.showOptionType = showOptionType;
    }

    public Long getShowOptionType(){
        return showOptionType;
    }
    public void setQuestionSource(Long questionSource){
        this.questionSource = questionSource;
    }

    public Long getQuestionSource(){
        return questionSource;
    }
    public void setBestExplainNew(String bestExplainNew){
        this.bestExplainNew = bestExplainNew;
    }

    public String getBestExplainNew(){
        return bestExplainNew;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("intnumber", getIntnumber())
            .append("strtppe", getStrtppe())
            .append("strtypeL", getStrtypeL())
            .append("licensetype", getLicensetype())
            .append("question", getQuestion())
            .append("an1", getAn1())
            .append("an2", getAn2())
            .append("an3", getAn3())
            .append("an4", getAn4())
            .append("an5", getAn5())
            .append("an6", getAn6())
            .append("an7", getAn7())
            .append("answertrue", getAnswertrue())
          //  .append("explain", getExplain())
            .append("bestanswerid", getBestanswerid())
            .append("kemu", getKemu())
            .append("jieshiFrom", getJieshiFrom())
            .append("moretypes", getMoretypes())
            .append("chapterid", getChapterid())
            .append("sinaimg", getSinaimg())
            .append("videoUrl", getVideoUrl())
            .append("diffDegree", getDiffDegree())
            .append("cityid", getCityid())
            .append("gs", getGs())
            .append("keyword", getKeyword())
            .append("errorRate", getErrorRate())
            .append("mediaUrl", getMediaUrl())
            .append("showOptionType", getShowOptionType())
            .append("questionSource", getQuestionSource())
            .append("bestExplainNew", getBestExplainNew())
            .toString();
    }
}
